Opened 17 months ago

Closed 10 months ago

Last modified 10 months ago

#24821 closed defect (fixed)

Relay publishing malformed dirreq-v3-tunneled-dl

Reported by: atagar Owned by:
Priority: High Milestone: Tor: unspecified
Component: Core Tor/Tor Version:
Severity: Major Keywords: tor-relay, extra-info, 033-triage-20180320, 033-removed-20180320
Cc: Actual Points:
Parent ID: #27414 Points:
Reviewer: Sponsor:

Description (last modified by atagar)

Hi Nick, current extrainfo descriptors contain a relay publishing non-ascii content on its dirreq-v3-tunneled-dl line, breaking parsers...

% wget http://171.25.193.9:443/tor/extra/all
% grep -P -n "[\x80-\xFF]" all
36575:dirreq-v3-tunneled-dl complete=156,timeout=4,running=0,min=6251,d1=38528,d2=55096,q1=73861,d3=90092=�hidserv-stats-end 2018-01-06 19:01:45 (86400 s)

Here's their full descriptor...

extra-info Pleiades BDA0BC3571FCCF656A962AA95E2DFF6450923BB5
identity-ed25519
-----BEGIN ED25519 CERT-----
AQQABm6HAbEYutDUuq/ZI1LJSjM0nvEszAfpxB8OepMyLugTxXL+AQAgBAASAzfz
x9hS7FiAtyMbScJpsTHj1uXoqWWUYTArUzxxIoHZyq/djybD/fymBea4UgAWx+H6
4zE8Kbz8OWukVfpFvMrwRQ/wTz5ODjA+V93WFE9Y+A/4EumvJthBdwALwwk=
-----END ED25519 CERT-----
published 2018-01-07 07:10:44
write-history 2018-01-07 04:20:16 (14400 s) 1244441600,1433647104,1285724160,1217207296,1109211136,1398974464
read-history 2018-01-07 04:20:16 (14400 s) 1218185216,1454397440,1310690304,1214405632,1098536960,1379415040
dirreq-write-history 2018-01-07 04:20:16 (14400 s) 67653632,17948672,16737280,36403200,45087744,72242176
dirreq-read-history 2018-01-07 04:20:16 (14400 s) 846848,649216,563200,952320,243712,913408
geoip-db-digest E3C910F3B2A6C916C7BE33A943091EF57048B72C
geoip6-db-digest E8BD5B2E6554C27F718F1222667C09680D75F799
dirreq-stats-end 2018-01-06 19:01:45 (86400 s)
dirreq-v3-ips fr=24,nl=16,us=16,be=8,ca=8,de=8,es=8,gb=8,gr=8,il=8,it=8,jp=8,lt=8,mp=8,pl=8,ru=8,th=8,tw=8,ua=8
dirreq-v3-reqs fr=64,nl=40,us=24,ua=16,be=8,ca=8,de=8,es=8,gb=8,gr=8,il=8,it=8,jp=8,lt=8,mp=8,pl=8,ru=8,th=8,tw=8
dirreq-v3-resp ok=160,not-enough-sigs=0,unavailable=0,not-found=0,not-modified=16,busy=0
dirreq-v3-direct-dl complete=4,timeout=0,running=0
dirreq-v3-tunneled-dl complete=156,timeout=4,running=0,min=6251,d1=38528,d2=55096,q1=73861,d3=90092=<94>^Shidserv-stats-end 2018-01-06 19:01:45 (86400 s)
hidserv-rend-relayed-cells 208757 delta_f=2048 epsilon=0.30 bin_size=1024
hidserv-dir-onions-seen 296 delta_f=8 epsilon=0.30 bin_size=8
padding-counts 2018-01-06 19:07:19 (86400 s) bin-size=10000 write-drop=10000 write-pad=610000 write-total=680000 read-drop=10000 read-pad=710000 read-total=12810000 enabled-read-pad=10000 enabled-read-           total=10000 enabled-write-pad=10000 enabled-write-total=10000 max-chanpad-timers=5
router-sig-ed25519 bicb0XSMXc9iNNIyuiwQrTX315t/917udtqXbAQzDIXvE+KSqTtNGpwPBgeIfzBSlQeJFdgmcBD1UUPOj8UaAw
router-signature
-----BEGIN SIGNATURE-----
Vf5uqHeUpqhOa+4qCz4Ml5JR+S+HXZ2iKuPsSbXDh4HhkioQSeuotxkT/hrMCSu1
SzgimRS7M+OMc1kGAwCOhmsVkBLJhVMqcEd0raZDEth1u+Cz7xdGrW3LmKZfi3p3
MI3od/xLMsfr09At7wsSUiHGex8bwAt6ENPYqLWsY2Q=
-----END SIGNATURE-----

Marking this as 'high' since this is choking Stem, and probably anything that'll read the CollecTor archives. I'll check with Karsten about how we want to handle the bad data on our end.

There's two bugs here: first that the Pleiades is publishing this and second that the DirAuths are allowing malformed data into the consensus.

Cheers! -Damian

Child Tickets

Change History (15)

comment:1 Changed 17 months ago by atagar

Description: modified (diff)

Ahhh, I was getting some deja vu about this and just realized why. We encountered this before on #18656 which prompted #18938.

comment:2 Changed 17 months ago by teor

The malformed fragments are the output of 24 hour bandwidth intervals. The well-formed bandwidth lines are the output of 4 hour bandwidth intervals. This suggests that #23856 may be a cause of this bug.

The relay was recently restarted with 0.3.1.9.
I wonder what version it was on before?
I wonder why this happened in this case, but not on any other relays?

https://atlas.torproject.org/#details/BDA0BC3571FCCF656A962AA95E2DFF6450923BB5

comment:3 in reply to:  2 Changed 17 months ago by arma

Replying to teor:

The relay was recently restarted with 0.3.1.9.
I wonder what version it was on before?

It was 0.3.1.8 before.

(moria1 still has the older descriptor.)

comment:4 Changed 17 months ago by arma

Three descriptors from moria1's cached-descriptors file:

@uploaded-at 2018-01-03 19:27:00
@source "90.66.181.223"
router Pleiades 90.66.181.223 9001 0 9030
identity-ed25519
-----BEGIN ED25519 CERT-----
AQQABm6HAbEYutDUuq/ZI1LJSjM0nvEszAfpxB8OepMyLugTxXL+AQAgBAASAzfz
x9hS7FiAtyMbScJpsTHj1uXoqWWUYTArUzxxIoHZyq/djybD/fymBea4UgAWx+H6
4zE8Kbz8OWukVfpFvMrwRQ/wTz5ODjA+V93WFE9Y+A/4EumvJthBdwALwwk=
-----END ED25519 CERT-----
master-key-ed25519 EgM388fYUuxYgLcjG0nCabEx49bl6KlllGEwK1M8cSI
platform Tor 0.3.1.8 on Linux
proto Cons=1-2 Desc=1-2 DirCache=1-2 HSDir=1-2 HSIntro=3-4 HSRend=1-2 Link=1-4 LinkAuth=1,3 Microdesc=1-2 Relay=1-2
published 2018-01-03 19:26:59
fingerprint BDA0 BC35 71FC CF65 6A96 2AA9 5E2D FF64 5092 3BB5
uptime 238437
bandwidth 16777216 33554432 695600
extra-info-digest 825D31D9D8AA7B2F97B93255E70146E473383C85 Gld8147gO+RthC48aSd8FiFoC6IGjVTz92SNq86p+0A
onion-key
-----BEGIN RSA PUBLIC KEY-----
MIGJAoGBAM1ElmNI8gQgNFpNscr/W+Gp5TCeg8tkx/dafMd0YX+/AMx45FSOd+5j
hTT0Ez582Hf2GnOz/zlpioMhVxizBxQx67vV8r4DQU2/a13doZeSMoceo2r1uf7R
KAyoWtAvN69Bcv478XHJXdA7u+ktA7X9+LHwVHQA4Xqf1dPATgQDAgMBAAE=
-----END RSA PUBLIC KEY-----
signing-key
-----BEGIN RSA PUBLIC KEY-----
MIGJAoGBAMK9TXsH+4tIccHP02Z+fp5Vnff61YGS6Qjc4OQBkXK+IoePhCBlhnEw
/dZ1GdA84292J0RwR729L7Oef3FSGFkQaFlve0wV/kxbLfXC76ppknZCSY41+//t
LkrW3Y5h/6PaVhp6DVKOWn19/ajroaST05gr5HOqcxIDFJU6ydIBAgMBAAE=
-----END RSA PUBLIC KEY-----
onion-key-crosscert
-----BEGIN CROSSCERT-----
RdB4lq4HdZtYBmcjShMkReJNrzVi03hFvrvPUrrhJols5X2JDbvrnwMbp0tNdlWJ
SegtYm3uqQLaGCSFDTiqTF/LIRaHPfPr+IllYw0Xa2WOcYUqwMj7CwmHfIvGy2Ja
efyVrZmVnY40VXtEwAU4SRKiRhV9Cooaa79qyfWcR6o=
-----END CROSSCERT-----
ntor-onion-key-crosscert 1
-----BEGIN ED25519 CERT-----
AQoABm6EARIDN/PH2FLsWIC3IxtJwmmxMePW5eipZZRhMCtTPHEiABw0FDymomA4
68GIENNUYewOqygoe34OmvTOOmmbFEr3PcWo+ZigPvecYEQCPAbq7NJuJ82wM0we
Y1nji7f5FAM=
-----END ED25519 CERT-----
hidden-service-dir
contact 0x1FA70F93 Hadrien Croubois <surname DOT name AT gmail DOT com>
ntor-onion-key 282qKQspyW/GaeXhJFjksnW5sT70nkw0rYG9foxRVmU=
reject *:*
tunnelled-dir-server
router-sig-ed25519 cpdpTYIcApaBxIZBnviMeLKtCYVCsTYvK7zOeuY8kX7Dgc64rEU/mQ8g9wYuKdbNheb3wcc9t74WMeJS4lrSCA
router-signature
-----BEGIN SIGNATURE-----
F1b+M9wSvDSogpuDnOcz54SUSEPvMdxGNj+24g69W5K5Dz11Kg2KZJvPOKUCKFPu
ChE+ZB8Hi0CNXtArAmf34u8UnM2CLqLG2+XHGU6RQyB24YR9JcaLSfpkq6UsPQ3+
bL6TRUx9tfqnIPjHoDGU8Ifbk7s+z2U5CpQ91u46JeY=
-----END SIGNATURE-----
@uploaded-at 2018-01-06 13:10:22
@source "90.66.181.223"
router Pleiades 90.66.181.223 9001 0 9030
identity-ed25519
-----BEGIN ED25519 CERT-----
AQQABm6HAbEYutDUuq/ZI1LJSjM0nvEszAfpxB8OepMyLugTxXL+AQAgBAASAzfz
x9hS7FiAtyMbScJpsTHj1uXoqWWUYTArUzxxIoHZyq/djybD/fymBea4UgAWx+H6
4zE8Kbz8OWukVfpFvMrwRQ/wTz5ODjA+V93WFE9Y+A/4EumvJthBdwALwwk=
-----END ED25519 CERT-----
master-key-ed25519 EgM388fYUuxYgLcjG0nCabEx49bl6KlllGEwK1M8cSI
platform Tor 0.3.1.9 on Linux
proto Cons=1-2 Desc=1-2 DirCache=1-2 HSDir=1-2 HSIntro=3-4 HSRend=1-2 Link=1-4 LinkAuth=1,3 Microdesc=1-2 Relay=1-2
published 2018-01-06 13:10:21
fingerprint BDA0 BC35 71FC CF65 6A96 2AA9 5E2D FF64 5092 3BB5
uptime 64981
bandwidth 16777216 33554432 512632
extra-info-digest 9E5B81034552F0227F7C43608B8BC1E512144910 Q9ha01ldAdz786iPvmJZqupoL7GGr0s8/iK6WKqSLWw
onion-key
-----BEGIN RSA PUBLIC KEY-----
MIGJAoGBAM1ElmNI8gQgNFpNscr/W+Gp5TCeg8tkx/dafMd0YX+/AMx45FSOd+5j
hTT0Ez582Hf2GnOz/zlpioMhVxizBxQx67vV8r4DQU2/a13doZeSMoceo2r1uf7R
KAyoWtAvN69Bcv478XHJXdA7u+ktA7X9+LHwVHQA4Xqf1dPATgQDAgMBAAE=
-----END RSA PUBLIC KEY-----
signing-key
-----BEGIN RSA PUBLIC KEY-----
MIGJAoGBAMK9TXsH+4tIccHP02Z+fp5Vnff61YGS6Qjc4OQBkXK+IoePhCBlhnEw
/dZ1GdA84292J0RwR729L7Oef3FSGFkQaFlve0wV/kxbLfXC76ppknZCSY41+//t
LkrW3Y5h/6PaVhp6DVKOWn19/ajroaST05gr5HOqcxIDFJU6ydIBAgMBAAE=
-----END RSA PUBLIC KEY-----
onion-key-crosscert
-----BEGIN CROSSCERT-----
RdB4lq4HdZtYBmcjShMkReJNrzVi03hFvrvPUrrhJols5X2JDbvrnwMbp0tNdlWJ
SegtYm3uqQLaGCSFDTiqTF/LIRaHPfPr+IllYw0Xa2WOcYUqwMj7CwmHfIvGy2Ja
efyVrZmVnY40VXtEwAU4SRKiRhV9Cooaa79qyfWcR6o=
-----END CROSSCERT-----
ntor-onion-key-crosscert 1
-----BEGIN ED25519 CERT-----
AQoABm7GARIDN/PH2FLsWIC3IxtJwmmxMePW5eipZZRhMCtTPHEiAIqGtayOunN/
3l7hY5bKFztjF2HqKueaPcMVOW4fWruHCi8KSo8GJuPOmTE2MgpMxktrWMZ6ymx4
rYdxhyqNCAM=
-----END ED25519 CERT-----
hidden-service-dir
contact 0x1FA70F93 Hadrien Croubois <surname DOT name AT gmail DOT com>
ntor-onion-key 282qKQspyW/GaeXhJFjksnW5sT70nkw0rYG9foxRVmU=
reject *:*
tunnelled-dir-server
router-sig-ed25519 LkEcIqjycAB92G88mHeY79iFvof5nDSiY72ST8av8zRGc+aBZkRvyEIVvreuN7EnKEf30wksGffSftME3vJCBw
router-signature
-----BEGIN SIGNATURE-----
OFDRLodoiENO169tnwKpzAQyIxn2BPJAAHBsCwKMUAJWbgmQhEEfVdt3Eo8wsbeB
NyHGJ4/vSQ9LG/nVDPus6adGPcOBK5EFONJE4Kt4ezIXPSbF1WQsw1g5kvjLnf0G
9rSfTWGqqamgP91nNnWpZ2qAulxJxo+LZtHz3zYSmpw=
-----END SIGNATURE-----
@uploaded-at 2018-01-07 07:10:45
@source "90.66.181.223"
router Pleiades 90.66.181.223 9001 0 9030
identity-ed25519
-----BEGIN ED25519 CERT-----
AQQABm6HAbEYutDUuq/ZI1LJSjM0nvEszAfpxB8OepMyLugTxXL+AQAgBAASAzfz
x9hS7FiAtyMbScJpsTHj1uXoqWWUYTArUzxxIoHZyq/djybD/fymBea4UgAWx+H6
4zE8Kbz8OWukVfpFvMrwRQ/wTz5ODjA+V93WFE9Y+A/4EumvJthBdwALwwk=
-----END ED25519 CERT-----
master-key-ed25519 EgM388fYUuxYgLcjG0nCabEx49bl6KlllGEwK1M8cSI
platform Tor 0.3.1.9 on Linux
proto Cons=1-2 Desc=1-2 DirCache=1-2 HSDir=1-2 HSIntro=3-4 HSRend=1-2 Link=1-4 LinkAuth=1,3 Microdesc=1-2 Relay=1-2
published 2018-01-07 07:10:44
fingerprint BDA0 BC35 71FC CF65 6A96 2AA9 5E2D FF64 5092 3BB5
uptime 129803
bandwidth 16777216 33554432 512632
extra-info-digest 549B64EB7DCAC9B319A3EA8BACAF9797B3FAF5EA pO4YtlYV2py3i/h9hNEajr53uHmI8H6ZknOhNdc4tKE
onion-key
-----BEGIN RSA PUBLIC KEY-----
MIGJAoGBAM1ElmNI8gQgNFpNscr/W+Gp5TCeg8tkx/dafMd0YX+/AMx45FSOd+5j
hTT0Ez582Hf2GnOz/zlpioMhVxizBxQx67vV8r4DQU2/a13doZeSMoceo2r1uf7R
KAyoWtAvN69Bcv478XHJXdA7u+ktA7X9+LHwVHQA4Xqf1dPATgQDAgMBAAE=
-----END RSA PUBLIC KEY-----
signing-key
-----BEGIN RSA PUBLIC KEY-----
MIGJAoGBAMK9TXsH+4tIccHP02Z+fp5Vnff61YGS6Qjc4OQBkXK+IoePhCBlhnEw
/dZ1GdA84292J0RwR729L7Oef3FSGFkQaFlve0wV/kxbLfXC76ppknZCSY41+//t
LkrW3Y5h/6PaVhp6DVKOWn19/ajroaST05gr5HOqcxIDFJU6ydIBAgMBAAE=
-----END RSA PUBLIC KEY-----
onion-key-crosscert
-----BEGIN CROSSCERT-----
RdB4lq4HdZtYBmcjShMkReJNrzVi03hFvrvPUrrhJols5X2JDbvrnwMbp0tNdlWJ
SegtYm3uqQLaGCSFDTiqTF/LIRaHPfPr+IllYw0Xa2WOcYUqwMj7CwmHfIvGy2Ja
efyVrZmVnY40VXtEwAU4SRKiRhV9Cooaa79qyfWcR6o=
-----END CROSSCERT-----
ntor-onion-key-crosscert 1
-----BEGIN ED25519 CERT-----
AQoABm7YARIDN/PH2FLsWIC3IxtJwmmxMePW5eipZZRhMCtTPHEiAE2ooFT2FL7P
vTTvvjpybjCvygqo89ApEn9Q9FJyLVRFJM8Av3YSZBidOgVoqJkeXgvWhIr6O1tp
g0o/eAIcfAU=
-----END ED25519 CERT-----
hidden-service-dir
contact 0x1FA70F93 Hadrien Croubois <surname DOT name AT gmail DOT com>
ntor-onion-key 282qKQspyW/GaeXhJFjksnW5sT70nkw0rYG9foxRVmU=
reject *:*
tunnelled-dir-server
router-sig-ed25519 SCg7WX5+qeg4EkUKFNWNstnWM5AI0jLGvCGo01AkYYyjCCvF9CjFjAlqSDD6f3mWNmwZvrudkY/WwDmIpZ8MDw
router-signature
-----BEGIN SIGNATURE-----
GY7XU9+U5BcjCFutBfv9LVLxtcPNdP2ZG07s6ShJWtYAXK6dH47+9AHSTmkL1kWd
LqvQDUSKe/XGzcrzlwyAN4TUWkR+rKDwM5BRsYpZMtVwZZNzv1bKAn8CHJ5TKwYO
qBiBUHzkcG8R5MvV9MA78ANQLNNaKZyqFyDmPdJVuvE=
-----END SIGNATURE-----

comment:5 Changed 17 months ago by arma

And three extrainfo descriptors:

extra-info Pleiades BDA0BC3571FCCF656A962AA95E2DFF6450923BB5
identity-ed25519
-----BEGIN ED25519 CERT-----
AQQABm6HAbEYutDUuq/ZI1LJSjM0nvEszAfpxB8OepMyLugTxXL+AQAgBAASAzfz
x9hS7FiAtyMbScJpsTHj1uXoqWWUYTArUzxxIoHZyq/djybD/fymBea4UgAWx+H6
4zE8Kbz8OWukVfpFvMrwRQ/wTz5ODjA+V93WFE9Y+A/4EumvJthBdwALwwk=
-----END ED25519 CERT-----
published 2018-01-03 19:26:59
write-history 2018-01-03 16:20:16 (14400 s) 1672408064,925685760,895023104,1174620160,866518016,1270608896
read-history 2018-01-03 16:20:16 (14400 s) 1636312064,866546688,835654656,1081183232,853385216,1252983808
dirreq-write-history 2018-01-03 16:20:16 (14400 s) 52285440,83147776,70646784,105251840,28956672,31322112
dirreq-read-history 2018-01-03 16:20:16 (14400 s) 1010688,916480,735232,886784,503808,1378304
geoip-db-digest 3A59213E5CFEE380F544B72DC1105366C6BD1CDE
geoip6-db-digest 1B8C975E5C62CF0FB5B4E598AE27B7189952BB09
dirreq-stats-end 2018-01-03 01:04:56 (86400 s)
dirreq-v3-ips fr=32,nl=32,us=16,ar=8,at=8,be=8,bg=8,ca=8,ch=8,de=8,dk=8,dz=8,eg=8,es=8,gb=8,ie=8,il=8,in=8,it=8,jp=8,lt=8,mq=8,no=8,nz=8,pl=8,ru=8,se=8,th=8,tt=8,tw=8,ua=8,ve=8
dirreq-v3-reqs nl=152,fr=88,us=32,ar=8,at=8,be=8,bg=8,ca=8,ch=8,de=8,dk=8,dz=8,eg=8,es=8,gb=8,ie=8,il=8,in=8,it=8,jp=8,lt=8,mq=8,no=8,nz=8,pl=8,ru=8,se=8,th=8,tt=8,tw=8,ua=8,ve=8
dirreq-v3-resp ok=328,not-enough-sigs=0,unavailable=0,not-found=0,not-modified=8,busy=0
dirreq-v3-direct-dl complete=4,timeout=4,running=0
dirreq-v3-tunneled-dl complete=316,timeout=0,running=0,min=9295,d1=50131,d2=77185,q1=93506,d3=115105,d4=259968,md=452215,d6=542867,d7=628288,q3=656626,d8=702516,d9=777165,max=1063019
hidserv-stats-end 2018-01-03 01:04:56 (86400 s)
hidserv-rend-relayed-cells 76315 delta_f=2048 epsilon=0.30 bin_size=1024
hidserv-dir-onions-seen -59 delta_f=8 epsilon=0.30 bin_size=8
padding-counts 2018-01-03 01:11:02 (86400 s) bin-size=10000 write-drop=0 write-pad=590000 write-total=680000 read-drop=0 read-pad=690000 read-total=11000000 enabled-read-pad=10000 enabled-read-total=10000 enabled-write-pad=10000 enabled-write-total=10000 max-chanpad-timers=8
router-sig-ed25519 3t/HR0E74waKKJlZx7WB/L8wi4aFigKXFthSxrsPJ8Yy/V7qePDdRTyzx7XHWk6StFfaledY67nCzQYa7ESvDg
router-signature
-----BEGIN SIGNATURE-----
OubT6acH4EBIRSdWXeSBl+Jgm+3huRbaXSrIQ4yhdNVZU8nOJGgIsDbX+W/s0n0W
YBKS8GbZ+MzU0e//qtWOksqWZKdSrZbXr2R4aHDDo8YGpCtyNqSwomI+LeP2UoJe
T+hnTJ3+voUnDtmLYYpltlIPfGTOgZ7JAVPD9pcHEjE=
-----END SIGNATURE-----
extra-info Pleiades BDA0BC3571FCCF656A962AA95E2DFF6450923BB5
identity-ed25519
-----BEGIN ED25519 CERT-----
AQQABm6HAbEYutDUuq/ZI1LJSjM0nvEszAfpxB8OepMyLugTxXL+AQAgBAASAzfz
x9hS7FiAtyMbScJpsTHj1uXoqWWUYTArUzxxIoHZyq/djybD/fymBea4UgAWx+H6
4zE8Kbz8OWukVfpFvMrwRQ/wTz5ODjA+V93WFE9Y+A/4EumvJthBdwALwwk=
-----END ED25519 CERT-----
published 2018-01-06 13:10:21
write-history 2018-01-06 12:20:16 (14400 s) 758951936,806339584,1017820160,758293504,1244441600,1433647104
read-history 2018-01-06 12:20:16 (14400 s) 807681024,914576384,936286208,775924736,1218185216,1454397440
dirreq-write-history 2018-01-06 12:20:16 (14400 s) 33710080,22645760,116631552,17563648,67653632,17948672
dirreq-read-history 2018-01-06 12:20:16 (14400 s) 1583104,5592064,1294336,549888,846848,649216
geoip-db-digest E3C910F3B2A6C916C7BE33A943091EF57048B72C
geoip6-db-digest E8BD5B2E6554C27F718F1222667C09680D75F799
router-sig-ed25519 7xZ0yievTHOLPjfuST6Zty0BhKfVytlcIyO7ZmFedg6kkI9ge5vpaLqiPh0OqW44zghgXT5w9t7r97S1X523Dg
router-signature
-----BEGIN SIGNATURE-----
pDPLpshh//UirJdIhXyYI3bOVYP+aUl41CpyixTx25Sp0tsvyf6wFBkKOyq3JFQd
kOX0YKIAIgTUAEcQvS0Q8snULaUgiypBk66QCX0RySi5k5Arc1y8NDw6l6B3lNQE
V4wBaFLgxMHqTj3a0W/a5SL78X9ZLACV2T3HaZ/uR40=
-----END SIGNATURE-----
extra-info Pleiades BDA0BC3571FCCF656A962AA95E2DFF6450923BB5
identity-ed25519
-----BEGIN ED25519 CERT-----
AQQABm6HAbEYutDUuq/ZI1LJSjM0nvEszAfpxB8OepMyLugTxXL+AQAgBAASAzfz
x9hS7FiAtyMbScJpsTHj1uXoqWWUYTArUzxxIoHZyq/djybD/fymBea4UgAWx+H6
4zE8Kbz8OWukVfpFvMrwRQ/wTz5ODjA+V93WFE9Y+A/4EumvJthBdwALwwk=
-----END ED25519 CERT-----
published 2018-01-07 07:10:44
write-history 2018-01-07 04:20:16 (14400 s) 1244441600,1433647104,1285724160,1217207296,1109211136,1398974464
read-history 2018-01-07 04:20:16 (14400 s) 1218185216,1454397440,1310690304,1214405632,1098536960,1379415040
dirreq-write-history 2018-01-07 04:20:16 (14400 s) 67653632,17948672,16737280,36403200,45087744,72242176
dirreq-read-history 2018-01-07 04:20:16 (14400 s) 846848,649216,563200,952320,243712,913408
geoip-db-digest E3C910F3B2A6C916C7BE33A943091EF57048B72C
geoip6-db-digest E8BD5B2E6554C27F718F1222667C09680D75F799
dirreq-stats-end 2018-01-06 19:01:45 (86400 s)
dirreq-v3-ips fr=24,nl=16,us=16,be=8,ca=8,de=8,es=8,gb=8,gr=8,il=8,it=8,jp=8,lt=8,mp=8,pl=8,ru=8,th=8,tw=8,ua=8
dirreq-v3-reqs fr=64,nl=40,us=24,ua=16,be=8,ca=8,de=8,es=8,gb=8,gr=8,il=8,it=8,jp=8,lt=8,mp=8,pl=8,ru=8,th=8,tw=8
dirreq-v3-resp ok=160,not-enough-sigs=0,unavailable=0,not-found=0,not-modified=16,busy=0
dirreq-v3-direct-dl complete=4,timeout=0,running=0
dirreq-v3-tunneled-dl complete=156,timeout=4,running=0,min=6251,d1=38528,d2=55096,q1=73861,d3=90092=<94>^Shidserv-stats-end 2018-01-06 19:01:45 (86400 s)
hidserv-rend-relayed-cells 208757 delta_f=2048 epsilon=0.30 bin_size=1024
hidserv-dir-onions-seen 296 delta_f=8 epsilon=0.30 bin_size=8
padding-counts 2018-01-06 19:07:19 (86400 s) bin-size=10000 write-drop=10000 write-pad=610000 write-total=680000 read-drop=10000 read-pad=710000 read-total=12810000 enabled-read-pad=10000 enabled-read-total=10000 enabled-write-pad=10000 enabled-write-total=10000 max-chanpad-timers=5
router-sig-ed25519 bicb0XSMXc9iNNIyuiwQrTX315t/917udtqXbAQzDIXvE+KSqTtNGpwPBgeIfzBSlQeJFdgmcBD1UUPOj8UaAw
router-signature
-----BEGIN SIGNATURE-----
Vf5uqHeUpqhOa+4qCz4Ml5JR+S+HXZ2iKuPsSbXDh4HhkioQSeuotxkT/hrMCSu1
SzgimRS7M+OMc1kGAwCOhmsVkBLJhVMqcEd0raZDEth1u+Cz7xdGrW3LmKZfi3p3
MI3od/xLMsfr09At7wsSUiHGex8bwAt6ENPYqLWsY2Q=
-----END SIGNATURE-----

comment:6 Changed 17 months ago by teor

I may have been wrong. The malformed line is a truncated dirreq line, so it might not have anything to do with #23856. Still, that's the last change we made in this code.

comment:7 in reply to:  2 ; Changed 17 months ago by arma

Replying to teor:

The malformed fragments are the output of 24 hour bandwidth intervals. The well-formed bandwidth lines are the output of 4 hour bandwidth intervals. This suggests that #23856 may be a cause of this bug.

Really? I think there have not been any stable releases of Tor with the #23856 fix, right?

comment:8 in reply to:  7 Changed 17 months ago by teor

Replying to arma:

Replying to teor:

The malformed fragments are the output of 24 hour bandwidth intervals. The well-formed bandwidth lines are the output of 4 hour bandwidth intervals. This suggests that #23856 may be a cause of this bug.

Really? I think there have not been any stable releases of Tor with the #23856 fix, right?

You're right. So it can't be that.

comment:9 Changed 17 months ago by dgoulet

Keywords: tor-relay extra-info added
Milestone: Tor: 0.3.3.x-final

comment:10 Changed 15 months ago by nickm

Keywords: 033-triage-20180320 added

Marking all tickets reached by current round of 033 triage.

comment:11 Changed 15 months ago by nickm

Keywords: 033-removed-20180320 added

Mark all not-already-included tickets as pending review for removal from 0.3.3 milestone.

comment:12 Changed 15 months ago by nickm

Milestone: Tor: 0.3.3.x-finalTor: unspecified

These tickets were marked as removed, and nobody has said that they can fix them. Let's remember to look at 033-removed-20180320 as we re-evaluate our triage process, to see whether we're triaging out unnecessarily, and to evaluate whether we're deferring anything unnecessarily. But for now, we can't do these: we need to fix the 033-must stuff now.

comment:13 Changed 10 months ago by teor

Resolution: fixed
Status: newclosed

Hi, we think this issue was caused by #22490, which was fixed in 0.2.4.29, 0.2.5.14, 0.2.6.12, 0.2.7.8, 0.2.8.14, 0.2.9.11, 0.3.0.8, and 0.3.1.3-alpha and later.

comment:14 Changed 10 months ago by atagar

Parent ID: #27367

comment:15 Changed 10 months ago by teor

Parent ID: #27367#27414
Note: See TracTickets for help on using tickets.